Bug 2774 - (int-79269) sp-endurance doesn't collect SMAPS data and save-incremental-endurance-stats fails when given options or args with spaces
(int-79269)
: sp-endurance doesn't collect SMAPS data and save-incremental-endurance-stats ...
Status: CLOSED FIXED
Product: Development platform
Tools
: 4.0
: All Linux
: Low enhancement (vote)
: ---
Assigned To: integration
: sdk-tools-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2008-01-14 13:47 UTC by Tuomas Kulve
Modified: 2009-09-28 11:03 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Tuomas Kulve (reporter) 2008-01-14 13:47:54 UTC
sp-endurance package recommends sp-smaps-measure package but that seems to be
missing from the repository.

The package takes smaps snapshots from the system and they might be valuable
when debugging memory consumption issues.
Comment 1 Juha Kallioinen nokia 2008-01-14 15:03:05 UTC
The sp-smaps stuff is still closed at the moment. The Recommends line in
sp-endurance was a conscious choise to not have to support two versions of the
open sp-endurance package.

I'll resolve this as LATER in the hope that sp-smaps will be open sourced in
the future.
Comment 2 Eero Tamminen nokia 2008-01-14 15:44:37 UTC
> The sp-smaps stuff is still closed at the moment. The Recommends line in
> sp-endurance was a conscious choise to not have to support two versions of
> the open sp-endurance package.

It's pretty trivial to do the part of sp-smaps-measure that sp-endurance
cares about in the endurance script i.e. collect the SMAPS data (then 
sp-smaps-measure could be e.g. in Suggests).  I don't think Tuomas cares
about the sp-smaps-measure itself, just about seeing the more useful
information. :-)


Tuomas mentioned also this in the other bug:
> Nokia-N810-50-2:~# save-incremental-endurance-stats --help
> Saving to --help/101:
> mkdir: unrecognized option `--help/101'

And indeed the option parsing could be a bit more robust.


I modified the subject accordingly, filed internal bug and re-opened this.
Comment 3 Eero Tamminen nokia 2008-01-22 14:07:13 UTC
> sp-endurance doesn't collect SMAPS data and save-incremental-endurance-stats
> fails when given options or args with spaces

Fixed internally.
Comment 4 Tuomas Kulve (reporter) 2009-09-26 11:43:50 UTC
Verifying on Fremantle.
Comment 5 Juha Kallioinen nokia 2009-09-28 11:03:13 UTC
closed